Create a new token
post
/v1/token

Create a new token that is used for the frontend UI to authenticate the user (identity).

🔐 Authentication
X-API-KEY API key of the environment
Header parameter: X-API-KEY
📤 Request

Content Type: application/json
identity_uuid string required

The UUID of the identity the token should be created for.

Example: d2b2c5c0-0f1a-4e1a-9e1a-0e1a1a1a1a1a
return_url string required

The URL the user will be redirected to after successful or unsuccessful usage of fetchdocs.

Example: https://www.example.com/documents
integration_id string

When providing an integration ID, the frontend renders directly in the create view for that integration.

Example: aws_s3
connection_uuid string uuid

When providing a connection UUID, the frontend renders directly in the update view for that connection.

Example: ef44db65-22b3-4791-91ba-db62c28dbc07
Request Example
📥 Response
201 Created
Content Type:
401 Unauthorized Error
Content Type:
422 Unprocessable Entity
Content Type:
500 Internal Server Error
Content Type:
Response Examples